Autore Topic: Messaggio di avviso sulla versione di PHP obsoleta  (Letto 2981 volte)

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
Messaggio di avviso sulla versione di PHP obsoleta
« il: 29 Mag 2017, 09:47:14 »
Aggiornando a Joomla 3.7 o successive versioni probabile che noterete nel pannello di controllo un nuovo messaggio che vi avvisa sulla versione di PHP presente sul server del vostro sito. Cerchiamo di capire il significato del messaggio e come agire.

Link all'articolo: http://www.joomla.it/e-ancora/articoli-community-3x/8706-messaggio-di-avviso-sulla-versione-di-php-obsoleta.html

Offline maxilgatto

  • Esploratore
  • **
  • Post: 59
  • Sesso: Maschio
    • Mostra profilo
Re:Messaggio di avviso sulla versione di PHP obsoleta
« Risposta #1 il: 29 Mag 2017, 12:14:43 »
Salve, ringrazio per la spiegazione esaustiva e chiarificatrice del problema. Aggiungerei per un avviso/spiegazione sull'esigenza (almeno per l'aggiornamento alla 7, non so per la 5.6, di cambiare il gestore della cache da "file" a "apcu" (qualora sia impostato su "file"). Ho avuto questo problema: dopo aver modificato la versione di php da 5.5 a 7.0 (ed avendo lasciato la gestione cache su "file" ) il sito non mi si apriva pi n in backend n in frontend. L'assistenza del server su cui opero (joomlahost) mi ha aiutato a risolvere il problema: modificare il gestore della cache dal backend e successivamente impostare PHP 7.0 dal pannello di controllo

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
Re:Messaggio di avviso sulla versione di PHP obsoleta
« Risposta #2 il: 29 Mag 2017, 16:10:00 »
Ciao maxilgatto,
grazie per l'avviso ma non credo sia un consiglio da dare a livello globale, forse solo per la configurazione di quel server dove ospitato il tuo sito.

Offline guido612

  • Nuovo arrivato
  • *
  • Post: 17
    • Mostra profilo
Re:Messaggio di avviso sulla versione di PHP obsoleta
« Risposta #3 il: 06 Giu 2017, 15:53:31 »
Ciao,
il mio sito su un ISP molto famoso col nome di un'isoletta dei Caraibi.
Ho modificato la versione php alla 7.0 ma fatto ci il sito (backoffice e pubblico) non funzionano pi. Compare solo il messaggio "Error displaying the error page".
[/size]Stesso dicasi per la versione 5.6. Invece con Php 5.5 tutto bene.
[/size]Qualcuno ha riscontrato lo stesso problema con questo ISP ?
[/size]Prima di variare la versione php devo impostare qualcosa lato Administrator del sito ?
[/size]
[/size]Grazie

Offline Ahmed Salvini

  • Appassionato
  • ***
  • Post: 337
    • Mostra profilo
Re:Messaggio di avviso sulla versione di PHP obsoleta
« Risposta #4 il: 06 Giu 2017, 16:06:29 »
guarda che tutto che ci che hai installato oltre joomla base sia compatibile con php7

 

Host

Torna su